Ankündigung

Einklappen
Keine Ankündigung bisher.

Vorankündigung: LOXBERRY 2.0 - Bitte lesen!

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Vorankündigung: LOXBERRY 2.0 - Bitte lesen!

    Liebe LoxBerry-Community!

    Klicke auf die Grafik für eine vergrößerte Ansicht  Name: LoxBerry_20.png Ansichten: 0 Größe: 816,0 KB ID: 213420

    Nach nunmehr 4 Monaten Entwicklungszeit kündigen wir heute VORAB den neuen

    LOXBERRY 2.0 - BEYOND THE LIMITS

    an.

    Wir haben ein umgangreiches What's New: https://www.loxwiki.eu/display/LOXBE...ts+New+in+V2.0

    Warum diese Vorankündigung?

    Es ist das größte Update, das wir jemals gemacht haben - wir wechseln auf bestehenden LoxBerry-Installationen auf eine neue Betriebssystemversion, und das wie immer mit LoxBerry Update. Wir haben das Update mit allen erdenklichen Varianten, Raspberry-Modellen und VMs getestet, aber der Teufel schläft nie!

    Wir werden in Kürze LoxBerry 2.0 als Pre-Release freischalten - wenn du in der Einstellung von LoxBerry Update derzeit Pre-Release eingestellt hast, und "Automatisch aktualisieren" bzw. du manuell installierst, wird die neue Version installiert.

    Wir haben Known Issues für das Sonos4Lox Plugin und das KNXd Plugin - bitte das What's New und die Plugin-Artikel lesen! (für Sonos4Lox wird es heute Abend noch ein Plugin-Update geben)

    Außerdem besteht erhöhtes Risiko für Probleme auf allen Installationen, wo ihr abseits von Plugins eigene Installationen/Modifikationen durchgeführt habt.

    Deswegen:
    • Wartet auf euren Produktiv-LoxBerry's auf den RELEASE - Versichert euch, dass euer LoxBerry in LoxBerry Update auf "Release" steht!
    • Wenn ihr selbst Installationen/Modifikationen am LoxBerry gemacht habt, und LoxBerry 2.0 installieren wollt, macht vorher ein Backup der SD! (SD-Image erzeugen, oder LoxBerry Backup).
    • Wenn ihr Probleme beim Update habt, meldet euch hier!
    • Wenn ihr nach dem Update Probleme mit einem Plugin habt, versichert euch, dass ihr die aktuellste Plugin-Version installiert habt, und wenn das der Fall ist, meldet euch beim Plugin-Entwickler (Plugin-Thread - ihr findet direkte Links zum Thread jetzt auch oben in jedem Plugin-Wiki-Artikel) .
    Bitte meldet alle Probleme, damit wir Plugin- und Core-Entwickler etwas ggf. fixen können, oder die KNOWN ISSUES erweitern, und anderen Benutzern die Probleme erspart bleiben.

    Entwickler: In der Plugin-Entwickler-WhatsApp Gruppe helfen Entwicklern Entwicklern ad hoc weiter - wenn du in die Gruppe willst, kurze PM mit der Telefonnummer an mich.

    HAPPY UPDATE!
    Das LoxBerry-Core Team
    Christian 1+2, Michael, Sven
    Zuletzt geändert von Christian Fenzl; 23.Sep.2019, 13:21.
    PN/PM: Ich bevorzuge die Beantwortung von Fragen in öffentlichen Threads, wo andere mithelfen und mitprofitieren können. Herzlichen Dank!

  • #2
    Hallo zusammen,

    aus Sicherheitsgründen wird aktuell das PreRelease auf einem Standard-LoxBerry nicht installiert, da sich die neue Versionsnummer (2.0) außerhalb des gültigen Bereichs (1.x) befindet. Das hatten wir in LBUpdate zur Sicherheit eingebaut.

    Um die Installation durchführen zu können, müsst ihr LBUpdate manuell austauschen. Loggt Euch dazu per SSH auf Eurem LoxBerry ein und führt folgende Befehle aus:

    Code:
    su -
    rm /opt/loxberry/sbin/loxberryupdate*.pl
    wget https://raw.githubusercontent.com/mschlenstedt/Loxberry/master/sbin/loxberryupdate.pl -P /opt/loxberry/sbin
    wget https://raw.githubusercontent.com/mschlenstedt/Loxberry/master/sbin/loxberryupdatecheck.pl -P /opt/loxberry/sbin
    chmod +x /opt/loxberry/sbin/loxberryupdate*.pl
    Anschließend LBUpdate auf PreRelease stellen und noch einmal nach neuen Updates suchen lassen. Jetzt könnt ihr das neue PreRelease 2.0.0.0 installieren.
    Bitte stellt Eure Anfragen nicht per PN, ich bevorzuge das Fragen/Antworten im Forum, damit alle etwas davon haben. Vorher lesen: https://www.loxforum.com/forum/proje...en-bitte-lesen

    LoxBerry: https://www.loxwiki.eu/display/LOXBERRY/LoxBerry

    Kommentar


    • #3
      Wui da samma mal gespannt
      Freu mich schon.

      Bzw. ich hatte unbewusst auf "Letzte Enwicklerversion" gestellt gehabt. Darum hat es plopp gemacht und ich habe schon die 2.0.0. runtergeladen.
      Neustart und somit das update itself ist gerade in Arbeit ... trink gerade den vorgeschlagenen Kaffee und relaxe.

      Nach gefühlt einer Ewigkeit nach dem letzten webserver-"Bild", kommt nichts mehr. pingbar ist der Loxberry jedoch.
      Muss zuhause dann schauen was los ist, ein reboot kann ja keine Stunde dauern.

      Mit putty kann ich mich noch verbinden, kann ich hier was machen?
      bin mit loxberry@loxberry eingeloggt. sudo reboot führt zu gleichem. pingbar aber kein webinterface

      NACHTRAG: Irgendwie dürfte, auch wenn nichts erreichbar ist und angezeigt wird, das plugin weather4loxone laufen, angezeigte Außentemperatur @ Miniserver ändert sich.
      Nachtrag 1: Auf die plugin seite von fhem komme ich auch, es scheint das loxberry-webinterface tot zu sein

      apache-log finde ich nicht wie im wiki für Loxberry 1.x und 0.x erklärt

      Nachtrag vom Nachtrags-Nachtrag:
      ich habe apache einfach gestartet, jetzt läuft das webinterface wieder
      sudo /etc/init.d/apache2 start


      Now:
      In einer früheren LoxBerry Update Installation wurde mindestens ein notwendiges Update-Script nicht ausgeführt. LoxBerry hat die betroffene Versionsnummer gespeichert. Mit diesem Knopf kannst du die LoxBerry Versionsnummer zurücksetzen - Der nächste LoxBerry Update-Lauf versucht das Update-Script nochmal.

      LoxBerry's Funktionen und Daten werden nicht auf diese Version zurückgesetzt. Es wird nur die Versionsnummer geändert, damit das Update-Script nochmal ausgeführt wird.

      Wenn ein weiterer Update-Versuch diese Meldung nicht entfernt, kontaktiere bitte das LoxBerry-Core Team, inklusive der verwendeten Plattform und der Versionsnummer, die im Knopf angezeigt wird. Wir versuchen dann, den Fehler in einer neuen Version zu korrigieren.


      nach jedem reboot muss ich manuell apache starten, why ever
      der rest läuft


      Ich starte den ganzen update-prozess nochmal von vorn - take a coffe or two and relax
      Zuletzt geändert von Thomas M.; 24.Sep.2019, 15:55.

      Kommentar


      • #4
        Update ist durchgelaufen. Loxberry ist da. Teilweise. Die Einstellungen, also System Information, Admin-Zugang, Storage usw. sind alle verfügbar und da. Jedoch die Plugin-Seite, bleibt auf dem Loxberry-Update-Screen. Unten im Live-Log läuft auch nichts mehr. Dies nun seit 10-15Minuten. Soll ich einen manuellen Reboot triggern oder ist der Loxberry bzw. das Update kaputt gelaufen?

        NACHTRAG: Wenn ich auf die Plugin-Seite gehen will, komm ich zwar drauf, aber wie gesagt wird noch der Update-Bildschirm angezeigt und nach 2 Sekunden lande ich zurück auf der Loxberry: Updates-Logseite. Irgendwie komisch

        Nachtrag vom Nachtrag: Plugins scheinen im Hintergrund zu laufen. Reboot brachte keine Besserung. MQTT Gateway z.B (aktiv überwacht) arbeitet sauber und kann Sachen schalten von daher gehe ich aus, dass das im Hintergrund alles doch irgendwo läuft. Jedoch ist die Plugin-Hauptseite stuck und bleibt so wie Sie ist. Mittlerweile ca. 1h her seit Updatebeginn und scheinbar erfolgreich.

        Hardware Raspberry Pi 3B, letzte Version VOR 2.0 draufgehabt, die Anweisungen von Michael hab ich befolgt dass ich es installieren konnte. Ich warte mit dem Backup drüber bügeln falls jemand von euch die Sache sich anschauen will.
        Zuletzt geändert von Bullit; 24.Sep.2019, 15:06.

        Kommentar


        • Thomas M.
          Thomas M. kommentierte
          Kommentar bearbeiten
          dann haben wir irgendwas änliches beisammen. im hintergrund laufen die plugins, aber irgendwas verweigert den dienst

      • #5
        Is there a download link to a pre release img of version 2.0.0, I have a Pi 4b so can't use the stable img 1.4.0 to upgrade as this won't boot on the Pi 4b. How do I get started on version 2.0.0 with a Pi 4b ?

        Kommentar


        • Prof.Mobilux
          Prof.Mobilux kommentierte
          Kommentar bearbeiten
          Image will be available this evening I hope.

        • Prof.Mobilux
          Prof.Mobilux kommentierte
          Kommentar bearbeiten
          The new Image is unfortuanetly broken and will not boot. We have to check that. So a complete Image will take some more time.

        • digi77
          digi77 kommentierte
          Kommentar bearbeiten
          Ok Thanks will wait for your reply when working

      • #6
        Hmmm... Jetzt, Stunden (wirklich Stunden) später, gerade am Macbook, funktioniert es plötzlich wieder. Am Windows-Rechner müsste ich nachschauen. Aber es waren wirklich einige Stunden dazwischen wo das Webinterface, zumindest bei den Plugins, immer noch Probleme machte und immer noch die Update-Seite anzeigte. Nun klappt wieder alles.

        Thomas M. wie siehts bei dir aus?

        Nachtrag: Nach Plugin-Updates suchen funktioniert nicht. "Unglücklicherweise ist ein Fehler aufgetreten".
        Zuletzt geändert von Bullit; 24.Sep.2019, 18:41.

        Kommentar


        • #7
          Das Update nach dem Reboot dauert wirklich noch sehr lange. Auf einem Pi2 > 100 Minuten. Eventuell gibt es da auch ein problem mit dem Browser-Cache, sodass Euch da immer noch die Update-Seite angezeigt wird, obwohl ihr die Plugin-Seite aufruft.

          Wenn das auftrutt einfach mal einen anderen Browser verwenden, den ihr sonst nicht nehmt (Edge oder so).
          Bitte stellt Eure Anfragen nicht per PN, ich bevorzuge das Fragen/Antworten im Forum, damit alle etwas davon haben. Vorher lesen: https://www.loxforum.com/forum/proje...en-bitte-lesen

          LoxBerry: https://www.loxwiki.eu/display/LOXBERRY/LoxBerry

          Kommentar


          • #8
            Was ist bestätigen kann - Loxberry ist nun voll da. Auch auf Windows-Browser usw. War wohl wirklich so, dass da was gecached war oder das Update noch lief. Wobei halt im Log nichts stand dass das so lange lief oder sonst irgendwas darauf hindeute. Wahrscheinlich Cache-Problem.

            Das Problem "Plugin-Update" besteht auch nach Neustart, vom Netz nehmen etc. immernoch. Denke also dass sich bei mir entweder etwas zerschossen hat, oder sich irgendwas bei mir beisst. Quittiert immernoch mit rotem Text "Unglücklicherweise ist ein Fehler aufgetreten". Keine Sorge - hab keine Eile. Will nur helfen. Falls sich also jemand bei mir umher toben möchte so Zwecks Kontrolle ob ein LB 2.0 Problem oder sonst, darf er dieses gerne. Wenn ich schon sonst kein Linus-Ass bin, dann helfe ich wenigstens so wo ich kann.

            Kommentar


            • #9
              Ich habe das update nochmal komplett durchgemacht, war dann mit den Kindern im Tierpark uswusf.
              Daheim angekommen, gleiches Bild. Alle plugins laufen, webinterface ist tod.

              ich muss manuell per putty apache starten ... "sudo /etc/init.d/apache2 start", dann kann ich wieder zugreifen.
              Vorher ist das kein cache thema, da es mit keinem browser geht. Nur eben nach apache start.


              Ich glaube bei mir ist aber wo anders der Hund begraben.
              Die Loxberry-Seite updates ist der Meinung ...

              "In einer früheren LoxBerry Update Installation wurde mindestens ein notwendiges Update-Script nicht ausgeführt. LoxBerry hat die betroffene Versionsnummer gespeichert. Mit diesem Knopf kannst du die LoxBerry Versionsnummer zurücksetzen - Der nächste LoxBerry Update-Lauf versucht das Update-Script nochmal.

              LoxBerry's Funktionen und Daten werden nicht auf diese Version zurückgesetzt. Es wird nur die Versionsnummer geändert, damit das Update-Script nochmal ausgeführt wird.

              Wenn ein weiterer Update-Versuch diese Meldung nicht entfernt, kontaktiere bitte das LoxBerry-Core Team, inklusive der verwendeten Plattform und der Versionsnummer, die im Knopf angezeigt wird. Wir versuchen dann, den Fehler in einer neuen Version zu korrigieren.
              "

              Der log meint auch critical errors
              "<CRITICAL> We tried 10 times without success. This is the last try."


              Anbei noch mein log ...

              ================================================== ==============================
              <LOGSTART> 24.09.2019 15:28:10 TASK STARTED
              <LOGSTART> Update Reboot script /opt/loxberry/sbin/loxberryupdate/updatereboot_v2.0.0.pl started.
              <INFO> LoxBerry Version 2.0.0.0 ( is_raspberry.cfg )
              <INFO> Loglevel: 7
              <INFO> Message : Doing system upgrade (envoked from upgrade to V1.5.0)
              <INFO> This script already started 10 times.
              <CRITICAL> We tried 10 times without success. This is the last try.
              <INFO> Try to reach download.loxberry.de
              <OK> download.loxberry.de is reachable, so network seems to be up.
              <INFO> Stopping Apache2...
              <INFO> Starting simple update webserver...
              <OK> Started simple webserver successfully.
              <INFO> Preparing Guru Meditation...
              <INFO> This will take some time now. We suggest getting a coffee or a beer.
              <INFO> We are now moving the Debian Distribution from Stretch to Buster.
              <INFO> Update apt sources from stretch to buster...
              <INFO> Cleaning up apt databases...
              Reading package lists...
              Building dependency tree...
              Reading state information...
              0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
              1 not fully installed or removed.
              After this operation, 0 B of additional disk space will be used.
              Setting up mosquitto (1.5.7-1) ...
              Job for mosquitto.service failed because the control process exited with error code.
              See "systemctl status mosquitto.service" and "journalctl -xe" for details.
              invoke-rc.d: initscript mosquitto, action "restart" failed.
              ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
              Loaded: loaded (/lib/systemd/system/mosquitto.service; disabled; vendor preset: enabled)
              Active: activating (auto-restart) (Result: exit-code) since Tue 2019-09-24 15:28:30 CEST; 37ms ago
              Docs: man:mosquitto.conf(5)
              man:mosquitto(8)
              Process: 1038 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=3)
              Main PID: 1038 (code=exited, status=3)
              dpkg: error processing package mosquitto (--configure):
              installed mosquitto package post-installation script subprocess returned error exit status 1
              Errors were encountered while processing:
              mosquitto
              E: Sub-process /usr/bin/dpkg returned an error code (1)
              <ERROR> Error occurred while installing broken packages - Error 100
              Reading package lists...
              Building dependency tree...
              Reading state information...
              0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
              1 not fully installed or removed.
              After this operation, 0 B of additional disk space will be used.
              Setting up mosquitto (1.5.7-1) ...
              Job for mosquitto.service failed because the control process exited with error code.
              See "systemctl status mosquitto.service" and "journalctl -xe" for details.
              invoke-rc.d: initscript mosquitto, action "restart" failed.
              ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
              Loaded: loaded (/lib/systemd/system/mosquitto.service; disabled; vendor preset: enabled)
              Active: activating (auto-restart) (Result: exit-code) since Tue 2019-09-24 15:28:37 CEST; 27ms ago
              Docs: man:mosquitto.conf(5)
              man:mosquitto(8)
              Process: 1109 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=3)
              Main PID: 1109 (code=exited, status=3)
              dpkg: error processing package mosquitto (--configure):
              installed mosquitto package post-installation script subprocess returned error exit status 1
              Errors were encountered while processing:
              mosquitto
              E: Sub-process /usr/bin/dpkg returned an error code (1)
              <ERROR> Error occurred while autoremoving packages - Error 100
              <OK> Cache cleaned successfully.
              Setting up mosquitto (1.5.7-1) ...
              Job for mosquitto.service failed because the control process exited with error code.
              See "systemctl status mosquitto.service" and "journalctl -xe" for details.
              invoke-rc.d: initscript mosquitto, action "restart" failed.
              ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
              Loaded: loaded (/lib/systemd/system/mosquitto.service; disabled; vendor preset: enabled)
              Active: activating (auto-restart) (Result: exit-code) since Tue 2019-09-24 15:28:40 CEST; 26ms ago
              Docs: man:mosquitto.conf(5)
              man:mosquitto(8)
              Process: 1174 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=3)
              Main PID: 1174 (code=exited, status=3)
              dpkg: error processing package mosquitto (--configure):
              installed mosquitto package post-installation script subprocess returned error exit status 1
              Errors were encountered while processing:
              mosquitto
              <ERROR> Error occurred while repairing dpkg configure - Error 1
              <INFO> Removing package 'listchanges' and 'lighttpd'...
              Reading package lists...
              Building dependency tree...
              Reading state information...
              Package 'apt-listchanges' is not installed, so not removed
              Package 'lighttpd' is not installed, so not removed
              0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
              1 not fully installed or removed.
              After this operation, 0 B of additional disk space will be used.
              Setting up mosquitto (1.5.7-1) ...
              Job for mosquitto.service failed because the control process exited with error code.
              See "systemctl status mosquitto.service" and "journalctl -xe" for details.
              invoke-rc.d: initscript mosquitto, action "restart" failed.
              ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
              Loaded: loaded (/lib/systemd/system/mosquitto.service; disabled; vendor preset: enabled)
              Active: activating (auto-restart) (Result: exit-code) since Tue 2019-09-24 15:28:51 CEST; 26ms ago
              Docs: man:mosquitto.conf(5)
              man:mosquitto(8)
              Process: 1241 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=3)
              Main PID: 1241 (code=exited, status=3)
              dpkg: error processing package mosquitto (--configure):
              installed mosquitto package post-installation script subprocess returned error exit status 1
              Errors were encountered while processing:
              mosquitto
              E: Sub-process /usr/bin/dpkg returned an error code (1)
              <ERROR> Error occurred while removing packages - Error 100
              <INFO> Updating apt databases...
              Hit:1 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster InRelease
              Hit:2 https://deb.nodesource.com/node_12.x buster InRelease
              Hit:3 https://dl.yarnpkg.com/debian stable InRelease
              Reading package lists...
              <OK> Updating apt successfully.
              <INFO> Executing upgrade...
              Reading package lists...
              Building dependency tree...
              Reading state information...
              Calculating upgrade...
              0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
              1 not fully installed or removed.
              After this operation, 0 B of additional disk space will be used.
              Setting up mosquitto (1.5.7-1) ...
              Job for mosquitto.service failed because the control process exited with error code.
              See "systemctl status mosquitto.service" and "journalctl -xe" for details.
              invoke-rc.d: initscript mosquitto, action "restart" failed.
              ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
              Loaded: loaded (/lib/systemd/system/mosquitto.service; disabled; vendor preset: enabled)
              Active: activating (auto-restart) (Result: exit-code) since Tue 2019-09-24 15:29:05 CEST; 31ms ago
              Docs: man:mosquitto.conf(5)
              man:mosquitto(8)
              Process: 1495 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=3)
              Main PID: 1495 (code=exited, status=3)
              dpkg: error processing package mosquitto (--configure):
              installed mosquitto package post-installation script subprocess returned error exit status 1
              Errors were encountered while processing:
              mosquitto
              E: Sub-process /usr/bin/dpkg returned an error code (1)
              <ERROR> Error occurred while upgrading - Error 100
              <INFO> Executing dist-upgrade...
              Reading package lists...
              Building dependency tree...
              Reading state information...
              Calculating upgrade...
              0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
              1 not fully installed or removed.
              After this operation, 0 B of additional disk space will be used.
              Setting up mosquitto (1.5.7-1) ...
              Job for mosquitto.service failed because the control process exited with error code.
              See "systemctl status mosquitto.service" and "journalctl -xe" for details.
              invoke-rc.d: initscript mosquitto, action "restart" failed.
              ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
              Loaded: loaded (/lib/systemd/system/mosquitto.service; disabled; vendor preset: enabled)
              Active: activating (auto-restart) (Result: exit-code) since Tue 2019-09-24 15:29:16 CEST; 26ms ago
              Docs: man:mosquitto.conf(5)
              man:mosquitto(8)
              Process: 1568 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=3)
              Main PID: 1568 (code=exited, status=3)
              dpkg: error processing package mosquitto (--configure):
              installed mosquitto package post-installation script subprocess returned error exit status 1
              Errors were encountered while processing:
              mosquitto
              E: Sub-process /usr/bin/dpkg returned an error code (1)
              <ERROR> Error occurred while dist-upgrade - Error 100
              <INFO> Configuring PHP...
              '/etc/php/7.0/apache2/conf.d/20-loxberry-apache.ini' -> '/opt/loxberry/system/php/loxberry-apache.ini'
              '/etc/php/7.0/cgi/conf.d/20-loxberry-apache.ini' -> '/opt/loxberry/system/php/loxberry-apache.ini'
              '/etc/php/7.0/cli/conf.d/20-loxberry-cli.ini' -> '/opt/loxberry/system/php/loxberry-cli.ini'
              '/etc/php/7.3/apache2/conf.d/20-loxberry-apache.ini' -> '/opt/loxberry/system/php/loxberry-apache.ini'
              '/etc/php/7.3/cgi/conf.d/20-loxberry-apache.ini' -> '/opt/loxberry/system/php/loxberry-apache.ini'
              '/etc/php/7.3/cli/conf.d/20-loxberry-cli.ini' -> '/opt/loxberry/system/php/loxberry-cli.ini'
              <INFO> Activating PHP7.3...
              Reading package lists...
              Building dependency tree...
              Reading state information...
              Package 'php7.0-common' is not installed, so not removed
              0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
              1 not fully installed or removed.
              After this operation, 0 B of additional disk space will be used.
              Setting up mosquitto (1.5.7-1) ...
              Job for mosquitto.service failed because the control process exited with error code.
              See "systemctl status mosquitto.service" and "journalctl -xe" for details.
              invoke-rc.d: initscript mosquitto, action "restart" failed.
              ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
              Loaded: loaded (/lib/systemd/system/mosquitto.service; disabled; vendor preset: enabled)
              Active: activating (auto-restart) (Result: exit-code) since Tue 2019-09-24 15:29:25 CEST; 25ms ago
              Docs: man:mosquitto.conf(5)
              man:mosquitto(8)
              Process: 1650 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=3)
              Main PID: 1650 (code=exited, status=3)
              dpkg: error processing package mosquitto (--configure):
              installed mosquitto package post-installation script subprocess returned error exit status 1
              Errors were encountered while processing:
              mosquitto
              E: Sub-process /usr/bin/dpkg returned an error code (1)
              <WARNING> Error occurred while removing PHP 7.0 - Error 100
              Reading package lists...
              Building dependency tree...
              Reading state information...
              0 upgraded, 0 newly installed, 12 reinstalled, 0 to remove and 0 not upgraded.
              1 not fully installed or removed.
              Need to get 2,092 kB of archives.
              After this operation, 0 B of additional disk space will be used.
              Get:1 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-bz2 armhf 7.3.9-1~deb10u1 [8,680 B]
              Get:2 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-cgi armhf 7.3.9-1~deb10u1 [1,090 kB]
              Get:3 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-curl armhf 7.3.9-1~deb10u1 [26.5 kB]
              Get:4 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-json armhf 7.3.9-1~deb10u1 [16.2 kB]
              Get:5 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-mbstring armhf 7.3.9-1~deb10u1 [472 kB]
              Get:6 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-mysql armhf 7.3.9-1~deb10u1 [96.2 kB]
              Get:7 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-opcache armhf 7.3.9-1~deb10u1 [154 kB]
              Get:8 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-readline armhf 7.3.9-1~deb10u1 [10.7 kB]
              Get:9 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-soap armhf 7.3.9-1~deb10u1 [94.2 kB]
              Get:10 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-sqlite3 armhf 7.3.9-1~deb10u1 [20.5 kB]
              Get:11 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-xml armhf 7.3.9-1~deb10u1 [85.2 kB]
              Get:12 http://ftp.halifax.rwth-aachen.de/raspbian/raspbian buster/main armhf php7.3-zip armhf 7.3.9-1~deb10u1 [17.6 kB]
              Fetched 2,092 kB in 2s (1,351 kB/s)
              (Reading database ... (Reading database ... 5% (Reading database ... 10% (Reading database ... 15% (Reading database ... 20% (Reading database ... 25% (Reading database ... 30% (Reading database ... 35% (Reading database ... 40% (Reading database ... 45% (Reading database ... 50% (Reading database ... 55% (Reading database ... 60% (Reading database ... 65% (Reading database ... 70% (Reading database ... 75% (Reading database ... 80% (Reading database ... 85% (Reading database ... 90% (Reading database ... 95% (Reading database ... 100% (Reading database ... 83332 files and directories currently installed.)
              Preparing to unpack .../00-php7.3-bz2_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-bz2 (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../01-php7.3-cgi_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-cgi (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../02-php7.3-curl_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-curl (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../03-php7.3-json_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-json (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../04-php7.3-mbstring_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-mbstring (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../05-php7.3-mysql_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-mysql (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../06-php7.3-opcache_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-opcache (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../07-php7.3-readline_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-readline (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../08-php7.3-soap_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-soap (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../09-php7.3-sqlite3_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-sqlite3 (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../10-php7.3-xml_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-xml (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Preparing to unpack .../11-php7.3-zip_7.3.9-1~deb10u1_armhf.deb ...
              Unpacking php7.3-zip (7.3.9-1~deb10u1) over (7.3.9-1~deb10u1) ...
              Setting up php7.3-sqlite3 (7.3.9-1~deb10u1) ...
              Setting up php7.3-mbstring (7.3.9-1~deb10u1) ...
              Setting up php7.3-json (7.3.9-1~deb10u1) ...
              Setting up php7.3-readline (7.3.9-1~deb10u1) ...
              Setting up php7.3-bz2 (7.3.9-1~deb10u1) ...
              Setting up php7.3-soap (7.3.9-1~deb10u1) ...
              Setting up php7.3-mysql (7.3.9-1~deb10u1) ...
              Setting up php7.3-xml (7.3.9-1~deb10u1) ...
              Setting up mosquitto (1.5.7-1) ...
              Job for mosquitto.service failed because the control process exited with error code.
              See "systemctl status mosquitto.service" and "journalctl -xe" for details.
              invoke-rc.d: initscript mosquitto, action "restart" failed.
              ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
              Loaded: loaded (/lib/systemd/system/mosquitto.service; disabled; vendor preset: enabled)
              Active: activating (auto-restart) (Result: exit-code) since Tue 2019-09-24 15:30:41 CEST; 26ms ago
              Docs: man:mosquitto.conf(5)
              man:mosquitto(8)
              Process: 10367 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=3)
              Main PID: 10367 (code=exited, status=3)
              dpkg: error processing package mosquitto (--configure):
              installed mosquitto package post-installation script subprocess returned error exit status 1
              Setting up php7.3-opcache (7.3.9-1~deb10u1) ...
              Setting up php7.3-zip (7.3.9-1~deb10u1) ...
              Setting up php7.3-curl (7.3.9-1~deb10u1) ...
              Setting up php7.3-cgi (7.3.9-1~deb10u1) ...
              Processing triggers for man-db (2.8.5-2) ...
              Processing triggers for libapache2-mod-php7.3 (7.3.9-1~deb10u1) ...
              Errors were encountered while processing:
              mosquitto
              E: Sub-process /usr/bin/dpkg returned an error code (1)
              <ERROR> Error occurred while installing PHP 7.3 modules - Error 100
              Considering dependency mpm_prefork for php7.3:
              Considering conflict mpm_event for mpm_prefork:
              Considering conflict mpm_worker for mpm_prefork:
              Module mpm_prefork already enabled
              Considering conflict php5 for php7.3:
              Module php7.3 already enabled
              <OK> PHP7.3 Apache module activated successfully.
              <INFO> Configuring logrotate...
              <INFO> Preparing Guru Meditation...
              <INFO> This will take some time now. We suggest getting a coffee or a second beer :-)
              <INFO> Upgrading system kernel and firmware. Takes up to 10 minutes or longer! Be patient and do NOT reboot!
              <OK> Upgrading kernel and firmware successfully.
              <INFO> Setting update script /opt/loxberry/sbin/loxberryupdate/updatereboot_v2.0.0.pl as failed in general.cfg.
              <ERROR> Update script /opt/loxberry/sbin/loxberryupdate/updatereboot_v2.0.0.pl finished with errors.
              <INFO> Will reboot now to restart Apache...
              <LOGEND> 24.09.2019 15:31:09 TASK FINISHED

              Kommentar


              • Thomas M.
                Thomas M. kommentierte
                Kommentar bearbeiten
                ich mach noch mal alles laut Anleitung durch, ich denke ich habe da was falsch gemacht

              • Thomas M.
                Thomas M. kommentierte
                Kommentar bearbeiten
                ändert nichts, geht einfach nicht.

                ================================================== =============================
                <LOGSTART> 24.09.2019 21:12:22 TASK STARTED
                <LOGSTART> Update Reboot script /opt/loxberry/sbin/loxberryupdate/updatereboot_v2.0.0.pl started.
                <INFO> LoxBerry Version 2.0.0.0 ( is_raspberry.cfg )
                <INFO> Loglevel: 7
                <INFO> Message : Doing system upgrade (envoked from upgrade to V1.5.0)
                <INFO> This script already started 9 times.

                lalala
                <ERROR> Error occurred while installing broken packages - Error 100
                lalala

                nach dem 10ten mal bricht er ab, alle plugins laufen und apache steht.
                Manuelles starten von apache und ich habe zumindest ein webinterface und laufende plugins.
                Zuletzt geändert von Thomas M.; 24.Sep.2019, 22:27.

            • #10
              Bullit Bei dir ist das ein Browser-Cache Problem - die Pluginseite ist index.cgi, und offenbar bekommst du aus dem Cache die Update-Seite verpasst, die aber erkennt, dass LoxBerry up ist und dich zu den Logs umleitet. Müssen wir schauen, wie wir dem Browser sagen, dass da jetzt eine andere Seite ist.

              Thomas M. Bei dir ist das offenbar ein Problem mit dem Mosquitto-Paket, das sich nicht richtig installieren lässt.
              Kannst du mal probieren:
              apt-get remove mosquitto
              apt-get install mosquitto
              Läuft das?
              PN/PM: Ich bevorzuge die Beantwortung von Fragen in öffentlichen Threads, wo andere mithelfen und mitprofitieren können. Herzlichen Dank!

              Kommentar


              • Thomas M.
                Thomas M. kommentierte
                Kommentar bearbeiten
                removen dürfte funktionieren, wenn ich 2 mal hintereinander den remove befehlt gebe, hab ich beim 2ten mal
                "0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded."

                beim installen dann
                "0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded."

                müsste demnach hinhauen. Now?
                Zuletzt geändert von Thomas M.; 25.Sep.2019, 07:13.

              • Christian Fenzl
                Christian Fenzl kommentierte
                Kommentar bearbeiten
                Jetzt kannst du das Procedere mit dem Zurück setzen nochmal durchspielen. Nach dem Reboot sollte alles sauber sein... (🤞)

              • Thomas M.
                Thomas M. kommentierte
                Kommentar bearbeiten
                25.09.2019 08:50: LoxBerry Update: Die neue Version wurde erfolgreich installiert: v2.0.0.0

                thanks a lot
                Zuletzt geändert von Thomas M.; 25.Sep.2019, 09:57.

            • #11
              Hallo zusammen,

              erst einmal besten Dank fürs Testen! Der Apache sollte nun nach einem fehlgeschlagenden Update (Achtung! Er probiert es 10x!) wieder automatisch gestartet werden. Am Browser-Cache-Problem müssen wir arbeiten - das scheint nicht so trivial zu sein.

              Leider wird ein fertiges Image noch dauern - ich habe gestern ein neues Image erstellt, welches leider nicht bootet Das muss ich mir erst einmal anschauen.
              Bitte stellt Eure Anfragen nicht per PN, ich bevorzuge das Fragen/Antworten im Forum, damit alle etwas davon haben. Vorher lesen: https://www.loxforum.com/forum/proje...en-bitte-lesen

              LoxBerry: https://www.loxwiki.eu/display/LOXBERRY/LoxBerry

              Kommentar


              • #12
                Loxberry Backup machte auch gerade Probleme. Automatisches Backup wollte irgendwie nicht. Fehlercode 102. Manuelles ging komischerweise.

                Kommentar


                • #13
                  Plugin updates
                  Angehängte Dateien

                  Kommentar


                  • Bullit
                    Bullit kommentierte
                    Kommentar bearbeiten
                    Siehe oben - hatte ich auch schon erwähnt.

                  • Thomas M.
                    Thomas M. kommentierte
                    Kommentar bearbeiten
                    Ach so... sorry

                  • Bullit
                    Bullit kommentierte
                    Kommentar bearbeiten
                    Is ja kein Ding - wollts nur nochmals sagen/bestätigen dass du weisst dass du nicht alleine bist ;-)

                • #14
                  Plugin Update habe ich gerade in "Latest" gefixt!
                  Danke für die Info!
                  lg, Christian
                  PN/PM: Ich bevorzuge die Beantwortung von Fragen in öffentlichen Threads, wo andere mithelfen und mitprofitieren können. Herzlichen Dank!

                  Kommentar


                  • Bullit
                    Bullit kommentierte
                    Kommentar bearbeiten
                    Sorry Christian Fenzl , meine Fragestellung war doof bzw. zu wenig weit gedacht. Ich meinte die Update-Suche des LB Betriebssystem selber. Da ich ja solche Sachen nur über die von euch zur verfügung gestellten Tools mache, wollte ich natürlich über das Loxberry-Update selber eine neue Version draufspielen. Jedoch taucht dort bei mir keine neue Version auf mit deiner Änderung.

                    Deshalb meine Nachfrage ;-)

                  • Christian Fenzl
                    Christian Fenzl kommentierte
                    Kommentar bearbeiten
                    Wenn du auf „Letztes Commit“ stellst (so heißt das glaub ich), bekommst du den letzten Stand aus unserem Master-Branch. Die haben keine neue Versionsnummer, sondern nur eine Commit-Id.

                  • Bullit
                    Bullit kommentierte
                    Kommentar bearbeiten
                    Steinige mich..... Es ist so offensichtlich.... Sorry :-(

                • #15
                  Mailserver ist bei mir auch Schrott. Alles 1 zu 1 identisch wie davor aber jedes Mal eine Fehlermeldung. Kann das bestätigt werden von Jemandem der ebenfalls 2.0.0 installiert hat? Hab alles abgeglichen, kontrolliert, neu eingegeben usw. Jedoch keine Chance. Hab mal im Apache Log das rauskopiert was ich der Meinung war, könnte helfen.


                  Read config: TLS_TRUST_FILE: /etc/ssl/certs/ca-certificates.crt
                  Name "R::smtpcrypt" used only once: possible typo at /opt/loxberry/webfrontend/htmlauth/system/mailserver.cgi line 347.
                  ln: failed to create symbolic link '/opt/loxberry/.msmtprc': File exists
                  [Fri Sep 27 20:13:12.018628 2019] [mpm_prefork:notice] [pid 934] AH00171: Graceful restart requested, doing restart
                  [Fri Sep 27 20:13:12.328769 2019] [mpm_prefork:notice] [pid 934] AH00163: Apache/2.4.38 (Raspbian) configured -- resuming normal operations
                  [Fri Sep 27 20:13:12.328861 2019] [core:notice] [pid 934] AH00094: Command line: '/usr/sbin/apache2'
                  Name "R::smtpcrypt" used only once: possible typo at /opt/loxberry/webfrontend/htmlauth/system/mailserver.cgi line 347.
                  Read config: ALIASES: /opt/loxberry/system/msmtp/aliases
                  Read config: LOGFILE: /opt/loxberry/log/system_tmpfs/mail.log
                  Read config: FROM: **********************
                  Read config: HOST: SMTP.office365.com
                  Read config: PORT: 587
                  Read config: AUTH: on
                  Read config: USER: ************************
                  Read config: PASSWORD: ;-)
                  Read config: TLS: on
                  Read config: TLS_TRUST_FILE: /etc/ssl/certs/ca-certificates.crt
                  ln: failed to create symbolic link '/opt/loxberry/.msmtprc': File exists
                  Name "R::smtpcrypt" used only once: possible typo at /opt/loxberry/webfrontend/htmlauth/system/mailserver.cgi line 347.
                  ln: failed to create symbolic link '/opt/loxberry/.msmtprc': File exists
                  ln: failed to create symbolic link '/opt/loxberry/.msmtprc': File exists
                  Name "R::smtpcrypt" used only once: possible typo at /opt/loxberry/webfrontend/htmlauth/system/mailserver.cgi line 347.
                  ln: failed to create symbolic link '/opt/loxberry/.msmtprc': File exists
                  [Fri Sep 27 20:17:46 2019] logmanager.cgi: loglevel_select_html called, but CUSTOM_LOGLEVELS not enabled in plugin.cfg (plugin mqttgateway) at /opt/loxberry/webfrontend/htmlauth/system/logmanager.cgi line 140.
                  Action: plugin-loglevel // Value: 3
                  Action: plugin-loglevel // Value: 3
                  Action: plugin-loglevel // Value: 3
                  Action: plugin-loglevel // Value: 7

                  Kommentar

                  Lädt...
                  X